Bug 854390 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:31e5a0d941d32c8bc6e1ff7b1d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 17:15 EDT by Vlado Potisk
Modified: 2013-08-01 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (896 bytes, text/plain)
2012-09-04 17:15 EDT, Vlado Potisk
no flags Details
File: Xorg.0.log (55.86 KB, text/plain)
2012-09-04 17:15 EDT, Vlado Potisk
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (533 bytes, text/plain)
2012-09-04 17:15 EDT, Vlado Potisk
no flags Details

  None (edit)
Description Vlado Potisk 2012-09-04 17:15:01 EDT
Description of problem:
1. xscreensaver GFlux and few others crash the X server immediately

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/X (0x400000+0x6a289) [0x46a289]
:2: /lib64/libpthread.so.0 (0x3e1f000000+0xefe0) [0x3e1f00efe0]
:3: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f8256130000+0xd35b) [0x7f825613d35b]
:4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f8256130000+0x393d4) [0x7f82561693d4]
:5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f8256130000+0x3be33) [0x7f825616be33]
:6: /usr/bin/X (0x400000+0x3444a) [0x43444a]
:7: /usr/bin/X (0x400000+0x23485) [0x423485]
:8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3e1e821735]
:9: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 Vlado Potisk 2012-09-04 17:15:04 EDT
Created attachment 609780 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Vlado Potisk 2012-09-04 17:15:07 EDT
Created attachment 609781 [details]
File: Xorg.0.log
Comment 3 Vlado Potisk 2012-09-04 17:15:09 EDT
Created attachment 609782 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Vlado Potisk 2012-09-23 02:49:34 EDT
After upgrading to
xorg-x11-drv-intel-2.20.7-1.fc17
xorg-x11-server-Xorg-1.12.3-2.fc17
the GLBLur xscreensaver in fullscreen mode crashes the X server. The GFlux now runs fine.

I have had no such issues with the F17 when it was new. I think that this problem has been introduced with some of the upgrades.
Comment 5 Adam Jackson 2012-10-18 17:47:56 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Vlado Potisk 2012-10-19 16:39:48 EDT
Currently running with these:
xorg-x11-server-Xorg-1.12.3-2.fc17.x86_64
xorg-x11-drv-intel-2.20.8-1.fc17.x86_64
kernel-3.6.2-4.fc17.x86_64

I could reproduce the problem easily:

[  1785.403] Backtrace:
[  1785.404] 0: /usr/bin/X (xorg_backtrace+0x36) [0x4652d6]
[  1785.404] 1: /usr/bin/X (0x400000+0x6a2b9) [0x46a2b9]
[  1785.404] 2: /lib64/libpthread.so.0 (0x3a57400000+0xefe0) [0x3a5740efe0]
[  1785.404] 3: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f60a60e3000+0xd1eb) [0x7f60a60f01eb]
[  1785.404] 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f60a60e3000+0x393d4) [0x7f60a611c3d4]
[  1785.404] 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f60a60e3000+0x3be33) [0x7f60a611ee33]
[  1785.404] 6: /usr/bin/X (0x400000+0x3447a) [0x43447a]
[  1785.404] 7: /usr/bin/X (0x400000+0x23485) [0x423485]
[  1785.404] 8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3a56c21735]
[  1785.404] 9: /usr/bin/X (0x400000+0x2375d) [0x42375d]
[  1785.404]
[  1785.404] Segmentation fault at address 0x910

The glxinfo shows:
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
OpenGL renderer string: Mesa DRI Intel(R) G45/G43 

When I unset the LIBGL_ALWAYS_INDIRECT and then nmanually restart the xscreensaver daemon without this variable in the environment, everything runs fine.

I do not know why is the LIBGL_ALWAYS_INDIRECT set and who is responsible for it.

When running X as root (only for testing purpose), the LIBGL_ALWAYS_INDIRECT is not set. However xscreensaver cannot be started when logged as root.
Comment 7 Dylan Eddies 2012-11-25 17:11:32 EST
X11 crashed due to the compiz plugin trying to switch to the 'marco' window decorator although it isn't installed

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-04 03:18:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 15:18:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.